Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.quicktime
Class DataAtomInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              org.monte.media.quicktime.DataAtomInputStream

All Implemented Interfaces:
  java.io.Closeable

    public class DataAtomInputStream

extends java.io.FilterInputStream

`DataAtomInputStream`.

Version:
  $Id
Author:
  Werner Randelshofer

Field Summary
`protected static long` | `MAC_TIMESTAMP_EPOCH`

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`DataAtomInputStream(java.io.InputStream in)`

Method Summary
`byte` | `readByte()`
`double` | `readFixed16D16()` Reads 32-bit fixed-point number divided as 16.16.
`double` | `readFixed2D30()` Reads 32-bit fixed-point number divided as 2.30.
`double` | `readFixed8D8()` Reads 16-bit fixed-point number divided as 8.8.
`void` | `readFully(byte[] b)`
`void` | `readFully(byte[] b, int off, int len)`
`int` | `readInt()`
`long` | `readLong()`
`java.util.Date` | `readMacTimestamp()` Reads a 32-bit Mac timestamp (seconds since 1902).
`java.lang.String` | `readPString()`
`short` | `readShort()`
`java.lang.String` | `readType()`
`long` | `readUInt()`
`int` | `readUShort()`
`long` | `skipBytes(long n)`

Methods inherited from class java.io.FilterInputStream
`available, close, mark, markSupported, read, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAC_TIMESTAMP_EPOCH

    protected static final long MAC_TIMESTAMP_EPOCH

Constructor Detail

### DataAtomInputStream

    public DataAtomInputStream(java.io.InputStream in)

Method Detail

### readByte

    public final byte readByte()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### readShort

    public final short readShort()
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### readInt

    public final int readInt()
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### readLong

    public final long readLong()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### readUShort

    public final int readUShort()
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### readUInt

    public final long readUInt()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### skipBytes

    public final long skipBytes(long n)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### readFully

    public final void readFully(byte[] b)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### readFully

    public final void readFully(byte[] b,
                                int off,
                                int len)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### readMacTimestamp

    public java.util.Date readMacTimestamp()
                                    throws java.io.IOException

  Reads a 32-bit Mac timestamp (seconds since 1902).

  Returns:
    date
  Throws:
    `java.io.IOException`

### readFixed16D16

    public double readFixed16D16()
                          throws java.io.IOException

  Reads 32-bit fixed-point number divided as 16.16.

  Throws:
    `java.io.IOException`

### readFixed2D30

    public double readFixed2D30()
                         throws java.io.IOException

  Reads 32-bit fixed-point number divided as 2.30.

  Throws:
    `java.io.IOException`

### readFixed8D8

    public double readFixed8D8()
                        throws java.io.IOException

  Reads 16-bit fixed-point number divided as 8.8.

  Throws:
    `java.io.IOException`

### readType

    public java.lang.String readType()
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### readPString

    public java.lang.String readPString()
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD